Subject: Optical IP activities

From: CATANZARITI Sergio FTR&D/TI <[email-masked]>
Date: Tue, 14 Mar 2000 17:23:47 -0800

Today I was reading the MPLS revised charter sent by Vijay and I have found
optical IP related activities, like that:

6.  Specify extensions to the protocols and procedures used for 
signaling explicit routes and to effect fast recovery of LSPs 
for use in Optical Cross Connects.  
 
Now, reading from the IP over Optical BoF description, I find:

- Modifying existing IP and MPLS routing and connection signaling 
  protocols 

I know that it is still pretty much immature to talk about results of the
upcoming IP over Optical BoF, but how will an eventual WG coming out from
this BoF reconcile with the MPLS WG activity in the Optical IP arena?
By working on a generic control plane architecture and requirements
definition, and leaving out to the MPLS WG specific work on the generic
mechanisms and procedure for an MPLS implementation of an Optical IP control
plane? Is this a possible intra-IETF activity scenario? Which others?
Looking for a brief and rough hint.

Thanks,
Sergio

> --------------------------------------------------------------------
> Sergio Catanzariti
> Senior Project Manager, Technology Integration
> France Telecom R&D 
> 1000 Marina Boulevard Suite 300 
> Brisbane CA 94005
> Tel. 650-875-1526
> Fax. 650-875-1505
> email:[email-masked] 
> --------------------------------------------------------------------
> 
>

---

From: Vijay Srinivasan <[email-masked]>
Date: Tue, 14 Mar 2000 17:44:15 -0800

Hi Sergio,
 
Here is an excerpt from the IP over Optical BOF description, that might help
answer your question:

The proposed IP over Optical WG will not duplicate work already being 
done elsewhere, such as MPLS per-LSP protection switching as provided 
by LSRs, OSPF and IS-IS extensions to support constrained routing, 
extensions to PPP to support direct carriage over fiber in a SONET-less 
environment, and so on. However, the WG may generate requirements or 
other input to be considered in other WGs.

- Vijay

-----Original Message-----
From: CATANZARITI Sergio FTR&D/TI
[mailto:[email-masked]]
Sent: Tuesday, March 14, 2000 5:24 PM
To: [email-masked]'
Cc: [email-masked]'
Subject: Optical IP activities 

  

Thanks, 
Sergio 

Sergio Catanzariti

---

From: CATANZARITI Sergio FTR&D/TI <[email-masked]>
Date: Tue, 14 Mar 2000 17:49:56 -0800

Vijay,

thanks. Okay. I thought that the list was a coverage of the possible
duplication works, in that case I was wondering why I did not find the
Optical IP topic, instead of a not-exhaustive list of possible duplication
work instances.

Sergio

> From:	Vijay Srinivasan [SMTP:[email-masked]]
> Sent:	Tuesday, March 14, 2000 5:44 PM
> To:	'CATANZARITI Sergio FTR&D/TI';
> [email-masked]'
> Cc:	[email-masked]'
> Subject:	RE: Optical IP activities 
> 
>  
> Hi Sergio,
>  
> Here is an excerpt from the IP over Optical BOF description, that might
> help answer your question:
> 
> 	Today I was reading the MPLS revised charter sent by Vijay and I
> have found optical IP related activities, like that: 
> 
> 	I know that it is still pretty much immature to talk about results
> of the upcoming IP over Optical BoF, but how will an eventual WG coming
> out from this BoF reconcile with the MPLS WG activity in the Optical IP
> arena?
> 
> mechanisms and procedure for an MPLS implementation of an Optical IP
> control plane? Is this a possible intra-IETF activity scenario? Which
> others?
>

---

From: Chip Sharp <[email-masked]>
Date: Wed, 15 Mar 2000 09:44:51 -0800

FYI,
It looks like the ITU (SG 13, SG15 and possibly SG11) may be getting into 
this area as well.  At the SG13 meeting in Kyoto, there was some discussion 
of this topic.  They are definitely working on next-gen optical networking 
issues.

Chip

At 05:23 PM 3/14/00 -0800, CATANZARITI Sergio FTR&D/TI wrote:

>Today I was reading the MPLS revised charter sent by Vijay and I have 
>found optical IP related activities, like that:
>
>control plane? Is this a possible intra-IETF activity scenario? Which others?
>
>Sergio Catanzariti  Senior Project Manager, Technology Integration  France 
>Telecom R&D  1000 Marina Boulevard Suite 300  Brisbane CA 94005  Tel. 
>650-875-1526  Fax. 
>650-875-1505  email:[email-masked] 

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.			
--------------------------------------------------

---

From: CATANZARITI Sergio FTR&D/TI <[email-masked]>
Date: Wed, 15 Mar 2000 10:40:37 -0800

I do not understand your question.

Sergio

> From:	Gawlak, Charlie [SMTP:[email-masked]]
> Sent:	Wednesday, March 15, 2000 10:35 AM
> To:	'CATANZARITI Sergio FTR&D/TI'; 'Chip Sharp'
> Cc:	[email-masked]'; [email-masked]'
> Hey guys,
> Am I supposed to be getting these emails?
>  
> Charlie Gawlak
> Wit SoundView
> 
> Sent: Wednesday, March 15, 2000 1:18 PM
> To: 'Chip Sharp'
> Cc: [email-masked]'; [email-masked]'
> I was aware of that. Indeed, that makes me more confused and worried. 
> The ITU-T (SG15?) seems to have concerns on working on a peer model for an
> IP over Optics networking architecture, leaning towards an overlay
> scenario.
> In other words, there are some concerns about making the OCh layer
> topology
> information revealed to the IP service client layer. 
> 
> On the contrary, the IETF seems to go in the other direction (although a
> recent IETF draft, I believe from Nortel and Lucent, endorses the same
> ITU-T
> concerns).
> 
> From the MPLS revised charter: 
> 
> 4.  Simplify integration of routers with optical cross-connect based
> technologies 
> 
> a) making optical cross connects behave as peers to routers (thus
> reducing the number of routing peers that a router has to maintain), 
> 
> b) by making information about physical topology available to
> Network Layer routing procedures, and 
> 
> c) by employing common addressing, routing, and management
> procedures. 
> 
> I guess that it is too early to debate model issues, in order to avoid IP
> over ATM model debate-like activities. 
> Personally, I would first work on Optical IP networking architecture and
> control plane requirements definition, then choosing the right protocol
> machinery (MPLS, X/Y/Z protocol), and ultimately facing the
> multi-dimension
> model problem (topology complexity, service layer configuration, OA&M
> procedures, PMO status quo, commercial considerations, etc.)
> 
> Sergio 
> 
> From:   Chip Sharp [SMTP:[email-masked]] 
> Sent:   Wednesday, March 15, 2000 9:45 AM 
> To:     CATANZARITI Sergio FTR&D/TI;
> Subject:        Re: Optical IP activities 
> 
> 	FYI, 
> have 
> 	Support NetAid!  http://www.netaid.org <http://www.netaid.org>

---

From: Vishal Sharma <[email-masked]>
Date: Thu, 16 Mar 2000 10:42:13 -0500

John,

I'd like to second this view. You might also want to check out some of the 
concerns I
posted to the list that relate to the limitation in the charter/scope that you
mention below, and that tries to argue for a more precise defition of
"optical crossconnects" to begin with.

Regards,

-Vishal
On Thursday, March 16, 2000 10:20 AM, [email-masked] 
[SMTP:[email-masked]] wrote:
> I'd like to reinforce these concerns. It seems to me that defining the scope
> of this work to cover only peer-to-peer models
> of router/OXC interactions would drastically limit its value in the short-to-
> medium term at least. Similarly with disclosure
> of physical topology information. Recent OIF contributions from many of the
> principal players suggest that further study
> of these issues before limiting work to a single model  is needed, as does
> draft-rstb-optical-signaling-framework-00.txt.
>
> John
> John Strand
> AT&T
> Lightwave Networks Research Dept.
> 100 Schulz Drive, Room 4-212
> Red Bank, N.J. 07701-7033
> (732)345-3255
> [email-masked]
>
>     From: [email-masked] [mailto:[email-masked]]On Behalf Of 
CATANZARITI
>     Sergio FTR&D/TI
scenario.
topology
ITU-T
multi-dimension
>         To:     CATANZARITI Sergio FTR&D/TI; [email-masked]
>         labs.com'
>         Cc:     [email-masked]'
have
>         >I know that it is still pretty much immature to talk about results 
of
>         >the
>  << File: ATT00001.html >>

---

From: John Drake <[email-masked]>
Date: Thu, 16 Mar 2000 11:22:37 -0800

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

	Title		: Performance Monitoring in Photonic Networks in
support
                          of MPL(ambda)S
	Author(s)	: L. Ceuppens, D. Blumenthal,  J. Drake,
                          J. Chrostowski, W. Edwards
	Filename	: draft-ceuppens-mpls-optical-00.txt
	Pages		: 11
	Date		: 10-Mar-00
	
Realizing the important role that photonic switches can play in 
data-centric networks, work has been going on within the IETF to 
combine the control plane of MPLS (more specifically traffic 
engineering) with the point-and-click provisioning capabilities of 
photonic switches [1]. This document outlines a proposal to expand 
this initiative to include DWDM, OADM and ATM systems. It also 
proposes to expand the work beyond simple establishment of optical 
paths and include optical performance monitoring and management. The 
combined path routing and performance information that will be 
carried and shared between these network elements will allow the 
elements or element management system (EMS) to adequately assess the 
'health' of an optical path (which can be a wavelength or fiber 
strand). The routers and/or ATM switches at the edges of the 
photonic network will then use this information to dynamically 
manage the millions of wavelengths available in the photonic layer.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ceuppens-mpls-optical-00.txt

-----Original Message-----
From: Curtis Villamizar [mailto:[email-masked]]
Sent: Thursday, March 16, 2000 11:04 AM
To: Yakov Rekhter
Cc: [email-masked]; 'CATANZARITI Sergio FTR&D/TI'; 'Chip Sharp';
[email-masked]

In message <[email-masked]>, Yakov Rekhter writes:
> John,
> 
> > I'd like to reinforce these concerns. It seems to me that defining the
> > scope of this work to cover only peer-to-peer models of router/OXC
> > interactions would drastically limit its value in the short-to-medium
> > term at least. Similarly with disclosure of physical topology
> > information. Recent OIF contributions from many of the principal
> > players suggest that further study of these issues before limiting work
> > to a single model  is needed, as does draft
> I would assume that the same control plane based on MPLS TE could be
> used to support both the peer and the overlay model (as well as a mixture
> of both).  With this in mind I would suggest that the MPLS WG should
> focus on defining the extension to the current MPLS TE protocols (ISIS,
> OSPF, RSVP, CR-LDP) to handle Optical LSRs and SDH-LSRs.
> 
> Yakov.

[Disclaimer: I'm guessing at other people's objections so apply a
large grain of salt unless confirmed.]

I'm guessing that some of the objections to using MPLS as a means to
control the optical crossconnects come from the prolems of attenuation
and signal degradation (dispersion, etc) that are cummulative.
Determining whether an LSP path is feasible may not be a simple as
checking the bandwidth constraints on the legs of the path if there
are no OEO conversions at the hops.

If that is what John was getting at, then John may be trying to tell
us that it is premature to try to come up with means to quantify the
restrictions imposed by attenuation and signal degradation such that
the ingress can reliably predict LSP path feasibility.

btw- Some vendors may also not be looking forward to sharing these
characteristics (attenuation, dispersion, etc) openly as would be
necessary if advertising them through a vendor independent control
protocol, even if we knew how to express them and knew how to
accumulate the effects.

If this is the objection, its worth noting that the objection may not
apply if OEO is done everywhere (but it may cost more to do that).

Someone (John in particular, Chip, Sergio also) please correct me if
I'm wrong about my assumption.  If so, I appologize for incorrectly
reading between the lines of your message(s).  If I'm not wrong, then
perhaps this clarifies the objections.

Curtis

---

From: "James V. Luciani" <[email-masked]>
Date: Mon, 20 Mar 2000 11:27:13 -0500

ter,
  Hope you do not mind me cc'ing the ip-optical list on this.  Good
suggestion.  I think this is an excellent work item for ip-optical if it
were to become a WG.  Not to mention a service to folks who are actually
developing this stuff.

> > >      What would be extremely useful would be a taxonomy of the
> > >      different constraints, what algorithms are known to deal with
> > >      them, what's the cost of relaxing the constraint etc.  Any
> > >      volunteers? Any good references?
> >
> > I agree! I can give it a shot, but I need help/input from people in the
> > list.
>
>   Count me in. Perhaps we can suggest this at the optical BOF. I think
many of
> us have a rough idea what some of the constraints are but where they stand
"today"
> and are likely to stand in a few years time is hard to get a handle on and
> affects how/what we decide to signal and to constrain against.

--jim